<?
require_once('include/global.php');
auth_limit("admin");


// check
	if (!$_POST['chk_m_no'] || !is_numeric($_POST['set_m_quota']) || !$_POST['set_quota_type'])
		msg('올바른 URL로 접근하여 주십시오');


// [2008-01-04]
switch ($_POST['set_quota_type'])
{
	case 'MAIL':

		// [2006-03-11] 메일서버가 동작중인지 확인
			require_once('include/admin_lib.php');
			mail_server_check_limit();		
			
		// data
			for ($i=0; $i<sizeof($_POST['chk_m_no']); $i++)
			{
				$m_quota = ($_POST['set_m_quota'] * 1024);
					if (!is_int($m_quota))
						msg('메일용량은 숫자로만 입력하셔야 합니다.');

				$mbr = db_get_row("SELECT d_no, m_id FROM " . $TB['MEMBER'] . " WHERE m_no = '" . $_POST['chk_m_no'][$i] . "'");
				if ($AUTH['auth_m_level'] >= $G['LEVEL']['serveradmin'])
				{
					$sql = "SELECT d_name FROM ".$TB['DOMAIN']." WHERE d_no='". $mbr['d_no'] . "'";
					$G_SYS['MAIL_DOMAIN'] = db_get_one($sql);
				}	// if()

				// 현재 도메인의 '메일용량 할당량'이 남았는지 검사.
				if (!$G_SYS['NM_D_QUOTA_SKIP'])
				{
					$dm = get_domain($G_SYS['MAIL_DOMAIN']);
					$q_hint = ($G_SYS[DB] == 'oracle') ? "/*+ ORDERED index_asc (".$TB['MEMBER']." M_M_QUOTA) */" : "";
                    // [2021-12] 메일/대용량첨부/웹하드 할당량 체킹 개선
					#$sql = "SELECT ".$q_hint." SUM(m_quota) FROM " . $TB['MEMBER'] . " WHERE m_no != '" . $_POST['chk_m_no'][$i] . "' AND d_no='" . $mbr['d_no'] . "'";
					$sql = "SELECT ".$q_hint." SUM(m_quota) FROM " . $TB['MEMBER'] . " WHERE m_no != '" . $_POST['chk_m_no'][$i] . "' AND d_no='" . $mbr['d_no'] . "' AND m_level !='".$G[LEVEL][wait]."' AND m_usertype IS NULL";
					$m_quota_sum = db_get_one($sql);
					if ($m_quota_sum+$m_quota > $dm['d_quota'])
						msg("[".$mbr['m_id']."]사용자의 메일용량 수정이 실패하였습니다.\\n\\n원인은 [".$G_SYS['MAIL_DOMAIN']."]도메인에 할당된 메일용량(".filesize_human($dm['d_quota']*1024).")을 초과하였습니다.\\n\\n서버관리자에게 문의하여 주십시오.");
				}	// if()

				$sql = "
					UPDATE
						" . $TB['MEMBER'] . "
					SET
						m_quota='" . $m_quota . "'
					WHERE
						m_no='" . $_POST['chk_m_no'][$i] . "'
						AND d_no='" . $mbr['d_no'] . "'
					";
				db_query($sql);

				// 웹메일용 처리
				mbr_quota_mod($mbr['m_id'], $m_quota);
			}	// for()

		break;

	case 'BIGFILE':
			
		// data
			for ($i=0; $i<sizeof($_POST['chk_m_no']); $i++)
			{
				$m_bigfile_quota = ($_POST['set_m_quota'] * 1024);
					if (!is_int($m_bigfile_quota))
						msg('대용량첨부용량은 숫자로만 입력하셔야 합니다.');

				$mbr = db_get_row("SELECT d_no, m_id FROM " . $TB['MEMBER'] . " WHERE m_no = '" . $_POST['chk_m_no'][$i] . "'");
				if ($AUTH['auth_m_level'] >= $G['LEVEL']['serveradmin'])
				{
					$sql = "SELECT d_name FROM ".$TB['DOMAIN']." WHERE d_no='". $mbr['d_no'] . "'";
					$G_SYS['MAIL_DOMAIN'] = db_get_one($sql);
				}	// if()

				// 현재 도메인의 '메일용량 할당량'이 남았는지 검사.
				$dm = get_domain($G_SYS['MAIL_DOMAIN']);
                // [2021-12] 메일/대용량첨부/웹하드 할당량 체킹 개선
				#$sql = "SELECT  SUM(m_bigfile_quota) FROM " . $TB['MEMBER'] . " WHERE m_no != '" . $_POST['chk_m_no'][$i] . "' AND d_no='" . $mbr['d_no'] . "'";
                $sql = "SELECT  SUM(m_bigfile_quota) FROM " . $TB['MEMBER'] . " WHERE m_no != '" . $_POST['chk_m_no'][$i] . "' AND d_no='" . $mbr['d_no'] . "' AND m_level !='".$G[LEVEL][wait]."' AND m_usertype IS NULL";
				$m_bigfile_quota_sum = db_get_one($sql);

				// [2008-03-10] 용량을 0으로 줄일때는 용량초과여부를 검사하지 않음.
				//if ($m_bigfile_quota_sum+$m_bigfile_quota > $dm['d_bigfile_quota'])
				if ($m_bigfile_quota > 0 && $m_bigfile_quota_sum+$m_bigfile_quota > $dm['d_bigfile_quota'])
					msg("[".$mbr['m_id']."]사용자의 대용량첨부용량 수정이 실패하였습니다.\\n\\n원인은 [".$G_SYS['MAIL_DOMAIN']."]도메인에 할당된 대용량첨부용량(".filesize_human($dm['d_bigfile_quota']*1024).")을 초과하였습니다.\\n\\n서버관리자에게 문의하여 주십시오.");

				$sql = "
					UPDATE
						" . $TB['MEMBER'] . "
					SET
						m_bigfile_quota='" . $m_bigfile_quota . "'
					WHERE
						m_no='" . $_POST['chk_m_no'][$i] . "'
						AND d_no='" . $mbr['d_no'] . "'
					";
				db_query($sql);
			}	// for()

		break;

	case 'WEBHARD':
		require_once('include/webhard_lib.php');

		// data
			for ($i=0; $i<sizeof($_POST['chk_m_no']); $i++)
			{
				$m_webhard_quota = ($_POST['set_m_quota'] * 1024);
					if (!is_int($m_webhard_quota))
						msg('웹하드용량은 숫자로만 입력하셔야 합니다.');

				$mbr = db_get_row("SELECT d_no, m_id FROM " . $TB['MEMBER'] . " WHERE m_no = '" . $_POST['chk_m_no'][$i] . "'");
				if ($AUTH['auth_m_level'] >= $G['LEVEL']['serveradmin'])
				{
					$sql = "SELECT d_name FROM ".$TB['DOMAIN']." WHERE d_no='". $mbr['d_no'] . "'";
					$G_SYS['MAIL_DOMAIN'] = db_get_one($sql);
				}	// if()

				// 현재 도메인의 '메일용량 할당량'이 남았는지 검사.
				$dm = get_domain($G_SYS['MAIL_DOMAIN']);

				// [2008-02-20] 공용웹하드 용량 합산
				$m_webhard_quota_sum = get_webhard_quota_sum($mbr['d_no'], $_POST['chk_m_no'][$i]);

				// [2008-03-10] 용량을 0으로 줄일때는 용량초과여부를 검사하지 않음.
				//if ($m_webhard_quota_sum+$m_webhard_quota > $dm['d_webhard_quota'])
				if ($m_webhard_quota > 0 && $m_webhard_quota_sum+$m_webhard_quota > $dm['d_webhard_quota'])
					msg("[".$mbr['m_id']."]사용자의 웹하드용량 수정이 실패하였습니다.\\n\\n원인은 [".$G_SYS['MAIL_DOMAIN']."]도메인에 할당된 웹하드용량(".filesize_human($dm['d_webhard_quota']*1024).")을 초과하였습니다.\\n\\n서버관리자에게 문의하여 주십시오.");

				$sql = "
					UPDATE
						" . $TB['MEMBER'] . "
					SET
						m_webhard_quota='" . $m_webhard_quota . "'
					WHERE
						m_no='" . $_POST['chk_m_no'][$i] . "'
						AND d_no='" . $mbr['d_no'] . "'
					";
				db_query($sql);
			}	// for()

		break;
}	// switch()

// end
	#msg("수정되었습니다.", 0);
	movepage($back_url);


require_once('include/global_end.php');
?>