<?
require_once('include/global.php');
require_once('include/mail_lib.php');
require_once('include/file.php');
require_once('conf.inc.php');
set_time_limit(3600);

page_loading_view("메일을 이동하고 있습니다.");

if (!$_POST['mf_no'] && !$_POST['sel_mail_box']) {
    msg('올바른 URL로 접근하여 주십시오');
}


$mail_file_table = $AUTH['auth_m_mf_table'];
$q_where = '';
// "상세검색" 결과시
if ($_GET['sd'] == '1')
{
    $s_key = array('s_from', 's_to', 's_cc', 's_subject', 's_body', 's_attach');
    $s_filed = array('mf_from', 'mf_to', 'mf_cc', 'mf_subject', 'mf_body', 'mf_attach_names');
    for ($i=0; $i<sizeof($s_key); $i++)
    {
        if (trim($_GET[$s_key[$i]]) != '')
        {
            set_q_search($_GET[$s_key[$i]]);

            if ($G_SYS[DB] == 'oracle')
            {
                if ($s_filed[$i] == 'mf_body')
                {
                    $q_where .= " AND dbms_lob.instr(mf_body, '" . $_GET[$s_key[$i]] . "')>0 ";
                } else
                {
                    $q_where .= " AND ".$s_filed[$i]." LIKE '%" . del_injection_str($_GET[$s_key[$i]]) . "%' ";
                }	// if()
            } else
            {
                $q_where .= " AND ".$s_filed[$i]." LIKE '%" . del_injection_str($_GET[$s_key[$i]]) . "%' ";
            }	// if()
        }	// if()
    }	// for()

    if ($_GET['sd1'] && strtotime($_GET['sd1']))
    {
        $_ex = explode('-', $_GET['sd1']);
        $_GET['sd1'] = sprintf('%04d', $_ex[0]).'-'.sprintf('%02d', $_ex[1]).'-'.sprintf('%02d', $_ex[2]);

        if ($_GET['sd2'] && strtotime($_GET['sd2']))
        {
            $_ex = explode('-', $_GET['sd2']);
            $_GET['sd2'] = sprintf('%04d', $_ex[0]).'-'.sprintf('%02d', $_ex[1]).'-'.sprintf('%02d', $_ex[2]);

            $q_where .= " AND mf_arrival_date >= '".del_injection_str($_GET['sd1'])." 00:00:00' AND mf_arrival_date <= '".del_injection_str($_GET['sd2'])." 23:59:59' ";
        }	// if()
    }	// if()
} else
{
    $_GET['s_word'] = del_injection_str($_GET['s_word']);
    if ($_GET['s_word'])
    {
        set_q_search($_GET['s_word']);

        if ($_GET['mb_id'] == 'sent' || $_GET['mb_id'] == 'draft')
        {
            $q_from_to = " OR mf_to LIKE '%". $_GET['s_word'] . "%'";
        } else if ($_GET['mb_id'])
        {
            $q_from_to = " OR mf_from LIKE '%". $_GET['s_word'] . "%'";
        } else if (!$_GET['mb_id'])
        {
            $q_from_to = " OR mf_to LIKE '%". $_GET['s_word'] . "%' OR mf_from LIKE '%". $_GET['s_word'] . "%'";
        }	// if()
        if ($G_SYS[DB] == 'oracle')
        {
            $q_where = " AND ( mf_subject LIKE '%" . $_GET['s_word'] . "%'".$q_from_to." OR  dbms_lob.instr(mf_body, '" . $_GET['s_word'] . "')>0 ) ";
        } else
        {
            $q_where = " AND ( mf_subject LIKE '%" . $_GET['s_word'] . "%'".$q_from_to." OR mf_body LIKE '%" . $_GET['s_word'] . "%' ) ";
        }	// if()

        if (is_numeric($_GET['s_date']) && $_GET['s_date'] > 0)
        {
            $_time = time();
            $_sd1 = date('Y-m-d', $_time-(86400*$_GET['s_date']));
            $_sd2 = date('Y-m-d', $_time);
            $q_where .= " AND mf_arrival_date >= '".$_sd1." 00:00:00' AND mf_arrival_date <= '".$_sd2." 23:59:59' ";
        }	// if()
    }	// if()
}	// if()
if ($_GET['s_noread'])
{
    $q_where .= " AND mf_is_read = '". del_injection_str($_GET['s_noread']) . "'";
}
if ($_GET['mb_id'])
{
    $q_where .= " AND mb_id = '". del_injection_str($_GET['mb_id']) . "'";
}

$DEBUG['db_cnt']['start'] = getmicrotime();
$sql = "SELECT COUNT(1) FROM ".$AUTH['auth_m_mf_table']." WHERE m_no='" . $AUTH['auth_m_no'] . "'" . $q_where;
$pager_params['totalItems'] = db_get_one($sql);
$DEBUG['db_cnt']['exec'] += getmicrotime() - $DEBUG['db_cnt']['start'];

// 메일 이동
$rows = array();
if ($pager_params['totalItems'] > 0)
{
    // db - select
    $DEBUG['db_select']['start'] = getmicrotime();
    $sql = "
        SELECT mf_no, mb_id, mf_filename, mfext1
          FROM ".$AUTH['auth_m_mf_table']."
         WHERE m_no='". $AUTH['auth_m_no'] . "'
            {$q_where}
    ";
    $rows = db_get_rows($sql);
    $DEBUG['db_select']['exec'] += getmicrotime() - $DEBUG['db_select']['start'];

    $DEBUG['db_move_exec']['start'] = getmicrotime();
    $UPLOAD_ROOT = get_mail_dir();
    $errorMsg = '';
    for ($i=0; $i<sizeof($rows); $i++) {
        //echo($rows[$i]['mf_no']."<br>");
        if (!false && $rows[$i]['mb_id'] != $_POST['sel_mail_box']) {
            $mb_dir_src = get_mb_dir($rows[$i]['mb_id']);
            $mb_dir_dest = get_mb_dir($_POST['sel_mail_box']);
            // file move
            if ($mb_dir_src != $mb_dir_dest) {
                // [2006-01-05][custmize] 보낸편지함/수신확인 보관기능.
                if ($rows[$i]['mfext1'] != 'Y') {
                    if (!$rows[$i]['mf_filename'])
                        msg("존재하지 않는 메일입니다.\\n\\n이미 삭제되었거나 다른 편지함으로 옮겨졌을 수 있습니다.");
                    $errorMsg .= file_move($rows[$i]['mf_filename'], '', $mb_dir_src, $rows[$i]['mf_filename'], '', $mb_dir_dest, false);
                }    // if()
                //echo("mv:".$rows[$i]['mf_no']."<br>");exit;
            }    // if()

            // db update
            // [2006-01-05][custmize] 보낸편지함/수신확인 보관기능.
            $q_where = " AND ( mfext1 != 'Y' OR mfext1 IS NULL ) ";
            $sql = "
				UPDATE $mail_file_table
				   SET mb_id='" . $_POST['sel_mail_box'] . "'
				 WHERE mf_no = " . $rows[$i]['mf_no'] . "
				   AND m_no='" . $AUTH['auth_m_no'] . "'
                   {$q_where}
            ";
            db_query($sql);
        }    // if()
    }
    $DEBUG['db_move_exec']['exec'] += getmicrotime() - $DEBUG['db_move_exec']['start'];
}	// if()


if ($errorMsg)
{
    page_loading_view_hidden();
    error($errorMsg, 'FILE', false);
    $_time = 3;
} else
{
    $_time = 0;
}	// if()
if ($msg)
    msg($msg, 0);
movepage('mail_list.php?mb_id=' . $_POST['mb_id'] . '&' . get_qs('mb_id', 'mf_no', 'sel_mail_box', 'sel_mail_box_2', 'cmd', 'cmd_2'), $_time);

require_once('include/global_end.php');
?>